 /*
 $Revision: 1.3 $
 $Date: 2006/02/17 20:54:51 $
 */

#ifndef BASE_SETTINGS_H
#define BASE_SETTINGS_H

#include <string.h>
#include <string>
#include <vector>

using namespace std;

//-----------------------------------------------------------------------------
struct PARAM_VALUE
{
    bool operator==(const PARAM_VALUE & rhs) const
        { return !strcasecmp(param.c_str(), rhs.param.c_str()); };

    bool operator<(const PARAM_VALUE & rhs) const
        { return strcasecmp(param.c_str(), rhs.param.c_str()) < 0; };

    string param;
    vector<string> value;
};
//-----------------------------------------------------------------------------
struct MODULE_SETTINGS
{
    bool operator==(const MODULE_SETTINGS & rhs) const
        { return !strcasecmp(moduleName.c_str(), rhs.moduleName.c_str()); };

    bool operator<(const MODULE_SETTINGS & rhs) const
        { return strcasecmp(moduleName.c_str(), rhs.moduleName.c_str()) < 0; };

string              moduleName;
vector<PARAM_VALUE> moduleParams;
};
//-----------------------------------------------------------------------------
#endif //BASE_SETTINGS_H


