/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 * 
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 * 
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
/*
 *    Date: 27.10.2002
 */

/*
 *    Author : Boris Mikhailenko <stg34@ua.fm>
 */
 
 /*
 $Revision: 1.1.1.1 $
 $Date: 2005/09/29 11:33:19 $
 */

#ifndef LISTH
#define LISTH


#define DEFAULT_STR_LEN    1024
//-----------------------------------------------------------------------------	  
struct NODE
{
NODE * next;
char * string;
};
//-----------------------------------------------------------------------------
class SLIST
{
private:
	NODE  * head;
    NODE  * last;
	NODE  * curr;
    int     stringSize;
public:
	SLIST();
	~SLIST();
	NODE  * First();
	NODE  * Last();
	NODE  * Next();
    int     Write(const char * fn);
    void    SetStringSize(int sz);
    int     GetStringSize();
	int     Append(char *);
	int     Delete(NODE *);
	void    Clear();
};
//-----------------------------------------------------------------------------
#endif
