 /*
 $Revision: 1.5 $
 $Date: 2007/02/25 12:23:08 $
 */

#ifndef PROPERTY_NOTIFER_H
#define PROPERTY_NOTIFER_H

//-----------------------------------------------------------------------------
template <typename varParamType>
class PROPERTY_NOTIFIER_BASE
{
public:
    virtual      ~PROPERTY_NOTIFIER_BASE(){};
    virtual void Notify(const varParamType & oldValue, const varParamType & newValue) = 0;
};
//-----------------------------------------------------------------------------
template <typename varParamType>
class NOTIFIER_BASE
{
public:
    virtual      ~NOTIFIER_BASE(){};
    virtual void Notify(const varParamType & value) = 0;
};
//-----------------------------------------------------------------------------
#endif //PROPERTY_NOTIFER_H


