#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(int argc, char * argv[])
{
char fn[512];
unsigned char c;
int firstComma = 1;

if (argc != 2)
    {
    printf("Usage:\n");
    printf("     bin2char file_name\n");
    exit(1);
    }

FILE * fb;
FILE * fc;
fb = fopen(argv[1], "rb");

if (!fb)
    {
    printf("can not open file \'%s\'", argv[1]);
    exit(1);
    }

sprintf(fn, "%s.h", argv[1]);

fc = fopen(fn, "wt");

if (!fc)
    {
    printf("can not open file \'%s\'", fn);
    exit(1);
    }

int cnt = 0;
char str[20];
char strWithComma[25];
struct stat buf;

stat(argv[1], &buf);

fprintf(fc, "char stg_logo_png[%d]={\n", buf.st_size);

for (int j = 0; j < buf.st_size; j++)
    {
    fread(&c, 1, 1, fb);
    
    sprintf(str, "0x%X", c);
    sprintf(strWithComma, "%s%s%5s", firstComma?"":",", cnt == 8?"\n":"", str);
    if (firstComma)
        firstComma = 0;
	
    fprintf(fc, "%s", strWithComma);
    
    if (cnt == 8)
        cnt = 0;
	
    cnt++;
    }
fprintf(fc, "};\n");
fclose(fc);
fclose(fb);

}
