#ifndef LOG_H
#define LOG_H

#include <time.h>
#include <string>
#include <vector>

using namespace std;

#define MAX_COMMON_LOG_STR_SIZE (1024)


bool extract_date_from_log(const char * log_str, struct tm * t);
bool is_cash_change(const char * log_str);
bool extract_cash_changes(const char * log_str,
                          double * old_cash,
                          double * new_cash,
                          double * fee,
                          int * feeFlag,
                          char * msg,
                          int msg_len);
bool GetSubscriberPayment(const char * logPath, time_t fromDT, time_t tillDT,
        double * dCash);


#endif
