#include <stdio.h>
#include <string.h>

#include "smtp.h"
//-----------------------------------------------------------------------------
void SendMail()
{
char str[255];
FILE * f = fopen("mail.txt", "rt");

/*
 * Первая строка в файле это адрес "кому"
 * вторая от кого
 * третья темa
 * всё что дальше, это текст письма.
 * */

if (!f)
    {
    printf("Cannot open file\n");
    return;
    }

SMTP smtp;

smtp.SetHost("mail.ilocal.net");     //Ставим имя сервера и порт
smtp.SetPort(25);

/*
 *  Читаем первую строку из файла. Кому. Убираем последний перевод строки
 */
fgets(str, sizeof(str) - 1, f); 
str[strlen(str)-1] = 0;
smtp.SetTo(str);

/*
 *  Читаем вторую строку из файла. От кого. Убираем последний перевод строки
 */
fgets(str, sizeof(str) - 1, f);
str[strlen(str)-1] = 0;
smtp.SetFrom(str);

/*
 *  Читаем третью строку из файла. Тема письма. Убираем последний перевод строки
 */
fgets(str, sizeof(str) - 1, f);
str[strlen(str)-1] = 0;
smtp.SetSubject(str);

/*
 * Подключение к серверу. Здороваемся
 * */
if (!smtp.Connect())
    {
    printf("Connect error: %s\n", smtp.GetErrorMessage());
    return;
    }

/*
 * Представляемся
 * */
if (!smtp.Mail())
    {
    printf("Mail error: %s\n", smtp.GetErrorMessage());
    return;
    }

/*
 * Говорим для кого письмо
 * */
if (!smtp.SendTo())
    {
    printf("SendTo error: %s\n", smtp.GetErrorMessage());
    return;
    }

/*
 * Шлем всякий бутор в купе с сабжем от кого, кому, дату ...
 * */
fgets(str, sizeof(str) - 1, f);
if (!smtp.Data())
    {
    printf("Data error: %s\n", smtp.GetErrorMessage());
    return;
    }


/*
 * Шлем, собственно, текст письма
 * */
while (!feof(f))
    {
    fgets(str, sizeof(str) - 1, f);
    if (!smtp.Send(str))
        {
        printf("Send error: %s\n", smtp.GetErrorMessage());
        return;
        }
    }

/*
 * Ставим точку
 * */
if (!smtp.SendDot())
    {
    printf("SendDot error: %s\n", smtp.GetErrorMessage());
    return;
    }

/*
 * Отключаемся
 * */
if (!smtp.Disconnect())
    {
    printf("Disconnect error: %s\n", smtp.GetErrorMessage());
    return;
    }
    
}
//-----------------------------------------------------------------------------
int main()
{
SendMail();
}
//-----------------------------------------------------------------------------




